package com.jasamedika.medifirst2000.dto;

import java.util.Comparator;

public class ProsesPembilasanDetailDto implements Comparable<ProsesPembilasanDetailDto>{
	private Integer prosesBilasId;
	private String namaProsesBilas;
	private Integer bahanId;
	private String namaBahan;
	private Double jumlah;
	private Integer satuanId;
	private String namaSatuan;
	
	public String getNamaProsesBilas() {
		return namaProsesBilas;
	}
	public void setNamaProsesBilas(String namaProsesBilas) {
		this.namaProsesBilas = namaProsesBilas;
	}
	public String getNamaBahan() {
		return namaBahan;
	}
	public void setNamaBahan(String namaBahan) {
		this.namaBahan = namaBahan;
	}
	public Double getJumlah() {
		return jumlah;
	}
	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}
	public String getNamaSatuan() {
		return namaSatuan;
	}
	public void setNamaSatuan(String namaSatuan) {
		this.namaSatuan = namaSatuan;
	}
	public Integer getProsesBilasId() {
		return prosesBilasId;
	}
	public void setProsesBilasId(Integer prosesBilasId) {
		this.prosesBilasId = prosesBilasId;
	}
	public Integer getBahanId() {
		return bahanId;
	}
	public void setBahanId(Integer bahanId) {
		this.bahanId = bahanId;
	}
	public Integer getSatuanId() {
		return satuanId;
	}
	public void setSatuanId(Integer satuanId) {
		this.satuanId = satuanId;
	}

	@Override
	public int compareTo(ProsesPembilasanDetailDto o) {
		return this.getNamaProsesBilas().compareTo(o.getNamaProsesBilas());
	}
	
}
